Environments
Update the restricted revision of an environment
Update a revision of an environment to mark if isRestricted. Required permissions: ClassifyEnvironments. Note: This is a beta endpoint with known limitations.
PATCH
/
api
/
environments
/
beta
/
environments
/
{environmentId}
/
revisions
/
{revisionId}
Update the restricted revision of an environment
curl --request PATCH \
--url https://mycluster.domino.tech/api/environments/beta/environments/{environmentId}/revisions/{revisionId} \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"isRestricted": true
}
'import requests
url = "https://mycluster.domino.tech/api/environments/beta/environments/{environmentId}/revisions/{revisionId}"
payload = { "isRestricted": True }
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({isRestricted: true})
};
fetch('https://mycluster.domino.tech/api/environments/beta/environments/{environmentId}/revisions/{revisionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
Id of environment to mark restricted revision
Id of environment revision to mark is restricted
Body
application/json
Body of isRestricted
Boolean determining if revision is restricted
Response
Success
Last modified on June 26, 2026
Related topics
Use Restricted EnvironmentsGet an environmentArchive an environmentUse Environment Revision Controls in DominoWas this page helpful?
⌘I
Update the restricted revision of an environment
